import { ArgumentsHost, ContextType, HttpException, HttpServer } from '@nestjs/common';
import { BaseExceptionFilter } from '@nestjs/core';
import { Prisma } from '@prisma/client';
export declare type GqlContextType = 'graphql' | ContextType;
export declare type ErrorCodesStatusMapping = {
    [key: string]: number;
};
export declare class PrismaClientExceptionFilter extends BaseExceptionFilter {
    private errorCodesStatusMapping;
    constructor(applicationRef?: HttpServer, errorCodesStatusMapping?: ErrorCodesStatusMapping);
    catch(exception: Prisma.PrismaClientKnownRequestError | Prisma.NotFoundError, host: ArgumentsHost): void | HttpException | Prisma.PrismaClientKnownRequestError;
    private catchClientKnownRequestError;
    private catchNotFoundError;
    private exceptionShortMessage;
}
